Latest

get
/v4/carbon-free-energy/latest

Get the latest carbon-free energy (CFE) share for a zone

Query Parameters

zone optional

An Electricity Maps zone key.

Example: "DK-DK2"
temporalGranularity optional

The temporal granularity of the data to get.

Default: "hourly"
One of: "5_minutes", "15_minutes", "hourly"
lat optional

Latitude of the location to get the data for.

Example: 41.877
lon optional

Longitude of the location to get the data for.

Example: -88.0703
emissionFactorType optional

The type of emission factors to use.

Default: "lifecycle"
One of: "direct", "lifecycle"
flowTraced optional

Whether values are flow-traced. true accounts for electricity flows and returns consumption-based values; false returns values for the zone's own generation only.

Default: true
Example: false
disableCallerLookup optional

If true, the fallback IP-based zone lookup will not be performed.

Default: false
disableEstimations optional

If true, the response will exclude estimated data points

Default: false

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v4/carbon-free-energy/latest"
{  "zone": "DK-DK2",  "datetime": "2026-01-01T01:00:00.000Z",  "updatedAt": "2026-01-01T02:00:00.000Z",  "createdAt": "2026-01-01T00:00:00.000Z",  "unit": "%",  "value": 67,  "flowTraced": true,  "isEstimated": false,  "estimationMethod": "string",  "temporalGranularity": "hourly"}

Playground

get
/v4/carbon-free-energy/latest
Explore the API with a 14-day trial.